You should have Java installed to use this applet.